/**************************************************************************
 * OBJDXFIND.C - Return index of default exit object; NO_OBJECT if none.
 *************************************************************************/

#include "gemfintl.h"

/*-------------------------------------------------------------------------
 *
 *-----------------------------------------------------------------------*/

short obj_dxfind(ptree)
	OBJECT *ptree;
{
	short	obj = 0;

	do	{
		if (ptree[obj].ob_flags & DEFAULT) {
			return obj;
		}
	} while (!(ptree[obj++].ob_flags & LASTOB));

	return NO_OBJECT;
}

 